Subject: bug#332: accept-process-output hangs (incompatibility)

From: Stefan Monnier <[email-masked]>
Date: Thu, 29 May 2008 10:07:24 -0400

> Note: I reported that bug yesterday for an intermediary pre 22.2
> version.  The same problem occurs in 22.2 and is incompatible with
> previous versions:

Which previous versions accepted this form?
The current behavior is in accordance with the docstring:

   Non-nil second arg seconds and third arg millisec are number of
   seconds and milliseconds to wait; return after that much time whether

> We create a process mine, that sleeps for an hour.
> accept-process-output will hang, whereas it should return after 400
> milliseconds.  However, if argument SECONDS is replaced by 0 it will
> eval as expected.

BTW, I recommend you don't use the milliseconds argument at all.

        Stefan